Bug 1289728 - Harden all packages: git executables should use PIE and have RELRO enabled
Harden all packages: git executables should use PIE and have RELRO enabled
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Todd Zullinger
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: harden-failure
  Show dependency treegraph
 
Reported: 2015-12-08 15:24 EST by Christian Stadelmann
Modified: 2016-07-12 11:04 EDT (History)
5 users (show)

See Also:
Fixed In Version: git-2.7.4-2.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-12 11:04:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2015-12-08 15:24:10 EST
Description of problem:
According to [1] packages should be hardened. git executables are not, according to checksec:

Partial RELRO   Canary found      NX enabled    No PIE          No RPATH   No RUNPATH   /usr/bin/git
Partial RELRO   Canary found      NX enabled    No PIE          No RPATH   No RUNPATH   /usr/bin/git-receive-pack
Partial RELRO   Canary found      NX enabled    No PIE          No RPATH   No RUNPATH   /usr/bin/git-shell
Partial RELRO   Canary found      NX enabled    No PIE          No RPATH   No RUNPATH   /usr/bin/git-upload-archive
Partial RELRO   Canary found      NX enabled    No PIE          No RPATH   No RUNPATH   /usr/bin/git-upload-pack

Version-Release number of selected component (if applicable):
git-2.5.0-3.fc23.x86_64

[1] https://fedoraproject.org//wiki/Changes/Harden_All_Packages
Comment 1 Todd Zullinger 2016-04-11 16:52:22 EDT
I added 'LDFLAGS = %{__global_ldflags}' to the git config.mak we use for building.  That should resolve the issue.
Comment 2 Christian Stadelmann 2016-04-22 06:03:59 EDT
Can you please build F24 packages with these flags too?
Comment 3 pstodulk 2016-07-01 07:41:17 EDT
Done. Can You test that everything is correct? I must go now, so I will let testing for karma.
Comment 4 Fedora Update System 2016-07-07 06:45:48 EDT
git-2.7.4-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3cb435075f
Comment 5 Fedora Update System 2016-07-10 11:59:39 EDT
git-2.7.4-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3cb435075f
Comment 6 Fedora Update System 2016-07-12 11:04:02 EDT
git-2.7.4-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.